Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access
Class QueryTranslator

    java.lang.Object
      org.apache.cayenne.access.QueryTranslator

Deprecated. since 3.0, as a part of translator inheritance hierarchy reorganization. This class is no longer in use as a common superclass.

    public abstract class QueryTranslator

extends Object

Defines API for translation Cayenne queries to JDBC PreparedStatements.

Field Summary
`protected DbAdapter` | `adapter` Deprecated.
`protected Connection` | `connection` Deprecated.
`protected EntityResolver` | `entityResolver` Deprecated.
`protected Query` | `query` Deprecated.

Constructor Summary
`QueryTranslator()` Deprecated.

Method Summary
`abstract PreparedStatement` | `createStatement()` Deprecated. Creates and binds a PreparedStatement to execute query SQL via JDBC.
`DbAdapter` | `getAdapter()` Deprecated.
`Connection` | `getConnection()` Deprecated. Returns Connection object used by this translator.
`EntityResolver` | `getEntityResolver()` Deprecated.
`Query` | `getQuery()` Deprecated. Returns query object being processed.
`DbEntity` | `getRootDbEntity()` Deprecated.
`ObjEntity` | `getRootEntity()` Deprecated.
`EntityInheritanceTree` | `getRootInheritanceTree()` Deprecated. Returns an EntityInheritanceTree for the root entity.
`void` | `setAdapter(DbAdapter adapter)` Deprecated.
`void` | `setConnection(Connection connection)` Deprecated.
`void` | `setEntityResolver(EntityResolver entityResolver)` Deprecated.
`void` | `setQuery(Query query)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### query

    protected Query query

  Deprecated.

### connection

    protected Connection connection

  Deprecated.

### adapter

    protected DbAdapter adapter

  Deprecated.

### entityResolver

    protected EntityResolver entityResolver

  Deprecated.

Constructor Detail

### QueryTranslator

    public QueryTranslator()

  Deprecated.

Method Detail

### createStatement

    public abstract PreparedStatement createStatement()
                                               throws Exception

  Deprecated.
  Creates and binds a PreparedStatement to execute query SQL via JDBC.

  Throws:
    `Exception`

### getQuery

    public Query getQuery()

  Deprecated.
  Returns query object being processed.

### setQuery

    public void setQuery(Query query)

  Deprecated.

### getConnection

    public Connection getConnection()

  Deprecated.
  Returns Connection object used by this translator.

  Since:
    1.2

### setConnection

    public void setConnection(Connection connection)

  Deprecated.
  Since:
    1.2

### getAdapter

    public DbAdapter getAdapter()

  Deprecated.

### setAdapter

    public void setAdapter(DbAdapter adapter)

  Deprecated.

### getRootInheritanceTree

    public EntityInheritanceTree getRootInheritanceTree()

  Deprecated.
  Returns an EntityInheritanceTree for the root entity.

  Since:
    1.1

### getRootEntity

    public ObjEntity getRootEntity()

  Deprecated.

### getRootDbEntity

    public DbEntity getRootDbEntity()

  Deprecated.

### getEntityResolver

    public EntityResolver getEntityResolver()

  Deprecated.
  Since:
    1.2

### setEntityResolver

    public void setEntityResolver(EntityResolver entityResolver)

  Deprecated.
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.